Subject: Linux 2.1.131 patches available

From: Russell King <[email-masked]>
Date: Mon, 21 Dec 1998 00:24:41 +0000 (GMT)

Hi all,

I've just finished uploading (todays/yesterdays) 2.1.131 Linux kernel patch.
As a 2.1 patch is a development patch, these patches are always in the form
'pre-patch-<kernel-version>-<date>-<nr>.gz'.  As such, they are not ready for
'mainsteam' use.

This patch contains quite a patches from various people, information can be
found on my web site as normal.

It should also be able to be used on the Netwinder now.  I haven't 100%
verified that this exact source will run, but it did compile.  I'd put
an 80% probability of it being ok.

Netwinder bits'n'pieces that are in and have worked for me:

  - Cyber2000 fbmem video (/not/ compatible with Corel's X server)
  - Printer port
  - Serial port
  - Ether10
  - Ether100 (but I may have cocked this up again tho)
  - WaveArtist with volume slider.
  - IDE in PIO only mode.

Any problems, you know where to reach me.

FPEm
----

I'll do a release of the Acorn FPEm v4.07 for this kernel version shortly.
This module should be loadable by the new ELF insmod into 2.1 kernels.
The FPEm has been improved over it's previous version - it now uses the
new multiply commands and has other optimisations added.

The way I recommend loading this emulator is as follows:

  Add the following line to your inittab, 
  (after the original fpem is loaded, and before rc.sysinit)

    f2::sysinit:/sbin/insmod /lib/modules/2.1/misc/fpem-4.07.o

NOTE: due to difficulties, although the emulator itself is not dependent
on the kernel version, it is not as independent as the old emulator.  You
may be able to get round the problem with '-f', but in this case, this
fpemulator must be:

 1. Called the same leafname as the older FPEm.
 2. The attempt to load it must come after the older FPEm.

Any other ordering could prevent 2.0 kernels from working.

SA110S
------

Although this kernel will display a warning message, since running the same
kernel code on more SA110 rev. S chips, it has become apparant that some
hardwares appear to exhibit very strange behaviour, whereas others do not.

Investigations will be proceeding - Pat will be doing some tests of his own
on a variety of Netwinders - thanks Pat.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.linux.org.uk/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]